Skip to main content
GET
/
event-questions
/
{question_id}
Get One Question
curl --request GET \
  --url https://api.swoogo.com/api/v1/event-questions/{question_id} \
  --header 'Authorization: Bearer <token>'
{
  "attribute": "email",
  "created_at": "2016-09-06 18:32:59",
  "event_id": 1,
  "id": 1,
  "name": "Email Address",
  "updated_at": "2016-09-06 18:32:59"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

question_id
integer
required

integer - required - The ID of the question you want to get

Example:

1

Query Parameters

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"id,event_id,page_id,name,public_short_name,admin_short_name,hint,attribute,type,sort,created_at,updated_at"

expand
string

string - optional - Comma separated list of related objects to include (choices, page, translations)

Example:

"choices"

Response

Get Event Question

attribute
string
Example:

"email"

created_at
string
Example:

"2016-09-06 18:32:59"

event_id
number
Example:

1

id
number
Example:

1

name
string
Example:

"Email Address"

updated_at
string
Example:

"2016-09-06 18:32:59"